%define	cvstag	PACKAGE_3_00_1

Summary:	The Guardian Digital WebTool
Group:		System Environment/Daemons
License:	GPL
Name:		webtool
Version:	3.00
Release:	1
Source0:	%{name}-%{cvstag}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Provides:	WebTool, WebTool-config, WebTool-firewall, WebTool-GDSN, WebTool-VHost
Provides:	WebTool-INITCONFIG, WebTool-SystemBackup
Obsoletes:	WebTool, WebTool-config, WebTool-firewall, WebTool-GDSN, WebTool-VHost
Obsoletes:	WebTool-INITCONFIG, WebTool-SystemBackup

%description
The Guardian Digital WebTool is a web-based system administration program
for EnGarde Secure Linux.  The 'Tool allows the system administrator to
manage every aspect of their EnGarde Secure Linux system from their
favorite web browser.

%files
  %defattr(0444,root,root,0555)
  %doc doc/*

  # WebTool API modules.
  %attr(0444,root,root)		%{perl_vendorlib}/*.pm
  %attr(0444,root,root)		%{perl_vendorlib}/*/*.pm
  %attr(0444,root,root)		%{perl_vendorlib}/*/*/*.pm

  # /usr/webtool/modules/
  %attr(0500,root,root)		%{_prefix}/webtool/index.cgi
  %attr(0500,root,root)		%{_prefix}/webtool/modules/index.cgi
  %attr(0500,root,root)		%{_prefix}/webtool/modules/*/*.cgi
  %attr(0500,root,root)		%{_prefix}/webtool/modules/*/*.pl
  %attr(0400,root,root)		%{_prefix}/webtool/modules/*/*.pm
  %attr(0400,root,root)		%{_prefix}/webtool/modules/*/.acl
  %attr(0400,root,root)		%{_prefix}/webtool/modules/*/lang/*
  %attr(0400,root,root)		%{_prefix}/webtool/modules/*/templates/*.tmpl

  # /usr/webtool/images/
  %attr(0400,root,root)		%{_prefix}/webtool/images/*.gif
  %attr(0400,root,root)		%{_prefix}/webtool/images/*.png
  %attr(0500,root,root)		%{_prefix}/webtool/images/index.cgi

  # /usr/webtool/templates/
  %attr(0400,root,root)		%{_prefix}/webtool/templates/*.js
  %attr(0400,root,root)		%{_prefix}/webtool/templates/*.tmpl
  %attr(0400,root,root)		%{_prefix}/webtool/templates/*.css
  %attr(0500,root,root)		%{_prefix}/webtool/templates/index.cgi

  # /etc/webtool
  %attr(0600,root,root)		%config(noreplace) %{_sysconfdir}/webtool/*

  # Everything else.
  %attr(0500,root,root)		%{_prefix}/libexec/webtool/*.pl
  %attr(0500,root,root)		%{_sbindir}/webtoold
  %attr(0500,root,root)		%{_sysconfdir}/init.d/webtool
  %attr(0640,root,admin)	%{_sysconfdir}/cron.d/webtool
  %attr(0640,root,admin)	%{_sysconfdir}/logrotate.d/webtool
  %attr(0700,root,root)		%dir %{_var}/cache/webtool

%prep
%setup -q -n %{name}-%{cvstag}

%build

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  install -d $RPM_BUILD_ROOT/%{_prefix}/libexec/webtool
  install -d $RPM_BUILD_ROOT/%{_prefix}/webtool
  install -d $RPM_BUILD_ROOT/%{_sbindir}
  install -d $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
  install -d $RPM_BUILD_ROOT/%{_sysconfdir}/cron.d
  install -d $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d
  install -d $RPM_BUILD_ROOT/%{_sysconfdir}/webtool
  install -d $RPM_BUILD_ROOT/%{_var}/cache/webtool
  install -d $RPM_BUILD_ROOT/%{perl_vendorlib}

  # Install our Perl modules.
  %{__cp} -a lib/* $RPM_BUILD_ROOT/%{perl_vendorlib}

  # Install the WebTool.
  for i in images index.cgi modules templates
  do
	%{__cp} -a $i $RPM_BUILD_ROOT/%{_prefix}/webtool
  done

  # Everything else.
  %{__cp} -a scripts/prune_backups.pl    $RPM_BUILD_ROOT/%{_prefix}/libexec/webtool
  %{__cp} -a webtoold/webtoold           $RPM_BUILD_ROOT/%{_sbindir}
  %{__cp} -a webtoold/webtoold.init      $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/webtool
  %{__cp} -a webtoold/webtoold.cron      $RPM_BUILD_ROOT/%{_sysconfdir}/cron.d/webtool
  %{__cp} -a webtoold/webtoold.logrotate $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/webtool

  for i in backup.conf miniserv.pem miniserv.users openssl.cnf webtoold.conf
  do
	%{__cp} -a webtoold/$i $RPM_BUILD_ROOT/%{_sysconfdir}/webtool
  done

%post
  %{_root_sbindir}/chkconfig --add webtool

  if [ -f /var/lock/subsys/webtool ]; then
        %{_sysconfdir}/init.d/webtool restart || :
  fi

  if [ $1 = 1 ]; then
    touch %{_sysconfdir}/webtool/unconfigured
  fi

%preun
  if [ $1 = 0 ]; then
    %{_sysconfdir}/init.d/webtool stop > /dev/null 2>&1 || :
    %{_root_sbindir}/chkconfig --del webtool || :
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Sep 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.00, Release 1
  - First production-ready version for EnGarde Secure Linux 3.0.
  - Previous changelog entries removed.
